Skip to main content
`Ctrl`+`K`

# SNESFASCycleGetSmoother

Gets the smoother on a particular cycle level.

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESFASCycleGetSmoother(SNES snes, SNES *smooth)

Logically Collective

## Input Parameter

- snes - the `SNESFAS` obtained with `SNESFASGetCycleSNES()`

## Output Parameter

- smooth - the smoother

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESFAS`, `SNESFASCycleGetSmootherUp()`, `SNESFASCycleGetSmootherDown()`, `SNESFASGetCycleSNES()`

## Level

advanced

## Location

src/snes/impls/fas/fasfunc.c

Index of all SNESFAS routines
Table of Contents for all manual pages
Index of all manual pages